Bug 3275 - [UPDATE REQUEST] [UPSTREAM UPDATE] openmotif
: [UPDATE REQUEST] [UPSTREAM UPDATE] openmotif
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:28 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:54 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:28:39 MSK
Scrolling within the XmList widget with lots of entries was very slow due to
calling the XQueryColor() function for every single element in the list. With
this update, a cache has been introduced to reduce these calls, and scrolling
now works as expected.

Due to 32-bit time stamp issues, attempting to copy and paste on a 64-bit
architecture using the clipboard failed occasionally. With this update, the
underlying source code has been modified to ensure the time stamp always
contains a "CARD32" value, so that copy and paste on 64-bit architectures works
as expected.

http://rhn.redhat.com/errata/RHBA-2013-1484.html

https://abf.rosalinux.ru/build_lists/1391100
https://abf.rosalinux.ru/build_lists/1391101
Comment 1 Vladimir Potapov 2013-12-05 18:42:12 MSK
openmotif-2.3.3-6.1.res6
************************ RHEL Advisory ***************************
Scrolling within the XmList widget with lots of entries was very slow due to
calling the XQueryColor() function for every single element in the list. With
this update, a cache has been introduced to reduce these calls, and scrolling
now works as expected.

Due to 32-bit time stamp issues, attempting to copy and paste on a 64-bit
architecture using the clipboard failed occasionally. With this update, the
underlying source code has been modified to ensure the time stamp always
contains a "CARD32" value, so that copy and paste on 64-bit architectures works
as expected.
******************************************************************
QA Verified